
_newline:

;Test2.c,12 :: 		void newline(){
;Test2.c,13 :: 		UART1_Write(13); // Carriage Return
	MOVLW      13
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;Test2.c,14 :: 		UART1_Write(10); // Line Feed
	MOVLW      10
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;Test2.c,15 :: 		}
	RETURN
; end of _newline

_check_device:

;Test2.c,17 :: 		void check_device(unsigned short dev_address){
;Test2.c,18 :: 		Soft_I2C_Start();
	CALL       _Soft_I2C_Start+0
;Test2.c,19 :: 		if (Soft_I2C_Write(dev_address)){
	MOVF       FARG_check_device_dev_address+0, 0
	MOVWF      FARG_Soft_I2C_Write_data_+0
	CALL       _Soft_I2C_Write+0
	MOVF       R0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_check_device0
;Test2.c,20 :: 		UART1_Write_Text("Device Not Found! ");
	MOVLW      ?lstr1_Test2+0
	MOVWF      FARG_UART1_Write_Text_uart_text+0
	MOVLW      hi_addr(?lstr1_Test2+0)
	MOVWF      FARG_UART1_Write_Text_uart_text+1
	CALL       _UART1_Write_Text+0
;Test2.c,21 :: 		newline();
	CALL       _newline+0
;Test2.c,22 :: 		}
	GOTO       L_check_device1
L_check_device0:
;Test2.c,24 :: 		UART1_Write_Text("Device Found ");
	MOVLW      ?lstr2_Test2+0
	MOVWF      FARG_UART1_Write_Text_uart_text+0
	MOVLW      hi_addr(?lstr2_Test2+0)
	MOVWF      FARG_UART1_Write_Text_uart_text+1
	CALL       _UART1_Write_Text+0
;Test2.c,25 :: 		newline();
	CALL       _newline+0
;Test2.c,26 :: 		}
L_check_device1:
;Test2.c,27 :: 		Soft_I2C_Stop();
	CALL       _Soft_I2C_Stop+0
;Test2.c,28 :: 		}
	RETURN
; end of _check_device

_Read_Temp:

;Test2.c,30 :: 		unsigned short Read_Temp(){
;Test2.c,32 :: 		Soft_I2C_Start(); // Issue start signal
	CALL       _Soft_I2C_Start+0
;Test2.c,33 :: 		Soft_I2C_Write(TC74A0); // Address + Write bit
	MOVLW      144
	MOVWF      FARG_Soft_I2C_Write_data_+0
	CALL       _Soft_I2C_Write+0
;Test2.c,34 :: 		Soft_I2C_Write(0x00); // Read Temp
	CLRF       FARG_Soft_I2C_Write_data_+0
	CALL       _Soft_I2C_Write+0
;Test2.c,35 :: 		Soft_I2C_Start(); // Issue start signal
	CALL       _Soft_I2C_Start+0
;Test2.c,36 :: 		Soft_I2C_Write(TC74A0+1); // Address + Read bit
	MOVLW      145
	MOVWF      FARG_Soft_I2C_Write_data_+0
	CALL       _Soft_I2C_Write+0
;Test2.c,37 :: 		result = Soft_I2C_Read(0);
	CLRF       FARG_Soft_I2C_Read_ack+0
	CLRF       FARG_Soft_I2C_Read_ack+1
	CALL       _Soft_I2C_Read+0
;Test2.c,38 :: 		return result;
;Test2.c,39 :: 		}
	RETURN
; end of _Read_Temp

_main:

;Test2.c,42 :: 		void main() {
;Test2.c,44 :: 		ANSELB = 0x00;       // Disable analog functions
	CLRF       ANSELB+0
;Test2.c,45 :: 		TRISB = 0b00000010;
	MOVLW      2
	MOVWF      TRISB+0
;Test2.c,46 :: 		UART1_Init(9600);
	MOVLW      103
	MOVWF      SPBRG+0
	BSF        TXSTA+0, 2
	CALL       _UART1_Init+0
;Test2.c,47 :: 		Delay_ms(100);
	MOVLW      3
	MOVWF      R11
	MOVLW      8
	MOVWF      R12
	MOVLW      119
	MOVWF      R13
L_main2:
	DECFSZ     R13, 1
	GOTO       L_main2
	DECFSZ     R12, 1
	GOTO       L_main2
	DECFSZ     R11, 1
	GOTO       L_main2
;Test2.c,48 :: 		Soft_I2C_Init();   // Initiate I2C
	CALL       _Soft_I2C_Init+0
;Test2.c,51 :: 		UART1_Write_Text("Testing UART! ");
	MOVLW      ?lstr3_Test2+0
	MOVWF      FARG_UART1_Write_Text_uart_text+0
	MOVLW      hi_addr(?lstr3_Test2+0)
	MOVWF      FARG_UART1_Write_Text_uart_text+1
	CALL       _UART1_Write_Text+0
;Test2.c,52 :: 		newline();
	CALL       _newline+0
;Test2.c,54 :: 		UART1_Write_Text("Type in a Number: ");
	MOVLW      ?lstr4_Test2+0
	MOVWF      FARG_UART1_Write_Text_uart_text+0
	MOVLW      hi_addr(?lstr4_Test2+0)
	MOVWF      FARG_UART1_Write_Text_uart_text+1
	CALL       _UART1_Write_Text+0
;Test2.c,55 :: 		while(!UART1_Data_Ready());
L_main3:
	CALL       _UART1_Data_Ready+0
	MOVF       R0, 0
	BTFSS      STATUS+0, 2
	GOTO       L_main4
	GOTO       L_main3
L_main4:
;Test2.c,56 :: 		Temp = UART1_Read();
	CALL       _UART1_Read+0
	MOVF       R0, 0
	MOVWF      _Temp+0
;Test2.c,57 :: 		newline();
	CALL       _newline+0
;Test2.c,58 :: 		UART1_Write_Text("You entered: ");
	MOVLW      ?lstr5_Test2+0
	MOVWF      FARG_UART1_Write_Text_uart_text+0
	MOVLW      hi_addr(?lstr5_Test2+0)
	MOVWF      FARG_UART1_Write_Text_uart_text+1
	CALL       _UART1_Write_Text+0
;Test2.c,59 :: 		UART1_Write(Temp);
	MOVF       _Temp+0, 0
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;Test2.c,60 :: 		newline();
	CALL       _newline+0
;Test2.c,62 :: 		UART1_Write_Text("Testing I2C devices... ");
	MOVLW      ?lstr6_Test2+0
	MOVWF      FARG_UART1_Write_Text_uart_text+0
	MOVLW      hi_addr(?lstr6_Test2+0)
	MOVWF      FARG_UART1_Write_Text_uart_text+1
	CALL       _UART1_Write_Text+0
;Test2.c,63 :: 		newline();
	CALL       _newline+0
;Test2.c,64 :: 		UART1_Write_Text("EEPROM... ");
	MOVLW      ?lstr7_Test2+0
	MOVWF      FARG_UART1_Write_Text_uart_text+0
	MOVLW      hi_addr(?lstr7_Test2+0)
	MOVWF      FARG_UART1_Write_Text_uart_text+1
	CALL       _UART1_Write_Text+0
;Test2.c,65 :: 		check_device(EEPROM);
	MOVLW      160
	MOVWF      FARG_check_device_dev_address+0
	CALL       _check_device+0
;Test2.c,66 :: 		UART1_Write_Text("MCP23008... ");
	MOVLW      ?lstr8_Test2+0
	MOVWF      FARG_UART1_Write_Text_uart_text+0
	MOVLW      hi_addr(?lstr8_Test2+0)
	MOVWF      FARG_UART1_Write_Text_uart_text+1
	CALL       _UART1_Write_Text+0
;Test2.c,67 :: 		check_device(MCP23008);
	MOVLW      64
	MOVWF      FARG_check_device_dev_address+0
	CALL       _check_device+0
;Test2.c,68 :: 		UART1_Write_Text("TC74A0... ");
	MOVLW      ?lstr9_Test2+0
	MOVWF      FARG_UART1_Write_Text_uart_text+0
	MOVLW      hi_addr(?lstr9_Test2+0)
	MOVWF      FARG_UART1_Write_Text_uart_text+1
	CALL       _UART1_Write_Text+0
;Test2.c,69 :: 		check_device(TC74A0);
	MOVLW      144
	MOVWF      FARG_check_device_dev_address+0
	CALL       _check_device+0
;Test2.c,70 :: 		UART1_Write_Text("Reading temperature from TC74A0... ");
	MOVLW      ?lstr10_Test2+0
	MOVWF      FARG_UART1_Write_Text_uart_text+0
	MOVLW      hi_addr(?lstr10_Test2+0)
	MOVWF      FARG_UART1_Write_Text_uart_text+1
	CALL       _UART1_Write_Text+0
;Test2.c,71 :: 		num = Read_Temp();
	CALL       _Read_Temp+0
	MOVF       R0, 0
	MOVWF      _num+0
;Test2.c,72 :: 		temperature[0] = num/10 + 48;
	MOVLW      10
	MOVWF      R4
	CALL       _Div_8x8_U+0
	MOVLW      48
	ADDWF      R0, 0
	MOVWF      _temperature+0
;Test2.c,73 :: 		temperature[1] = num%10 + 48;
	MOVLW      10
	MOVWF      R4
	MOVF       _num+0, 0
	MOVWF      R0
	CALL       _Div_8x8_U+0
	MOVF       R8, 0
	MOVWF      R0
	MOVLW      48
	ADDWF      R0, 0
	MOVWF      _temperature+1
;Test2.c,74 :: 		temperature[3] = 223;
	MOVLW      223
	MOVWF      _temperature+3
;Test2.c,75 :: 		UART1_Write_Text(temperature);
	MOVLW      _temperature+0
	MOVWF      FARG_UART1_Write_Text_uart_text+0
	MOVLW      hi_addr(_temperature+0)
	MOVWF      FARG_UART1_Write_Text_uart_text+1
	CALL       _UART1_Write_Text+0
;Test2.c,78 :: 		}
	GOTO       $+0
; end of _main
