#line 1 "C:/Documents and Settings/Administrator/Desktop/EmbeddedLab/MikroC/PIC16F1827/BoardTest1/Test1.c"
#line 9 "C:/Documents and Settings/Administrator/Desktop/EmbeddedLab/MikroC/PIC16F1827/BoardTest1/Test1.c"
sbit LCD_RS at RA6_bit;
sbit LCD_EN at RA7_bit;
sbit LCD_D4 at RA0_bit;
sbit LCD_D5 at RA1_bit;
sbit LCD_D6 at RA2_bit;
sbit LCD_D7 at RA3_bit;
sbit LCD_RS_Direction at TRISA6_bit;
sbit LCD_EN_Direction at TRISA7_bit;
sbit LCD_D4_Direction at TRISA0_bit;
sbit LCD_D5_Direction at TRISA1_bit;
sbit LCD_D6_Direction at TRISA2_bit;
sbit LCD_D7_Direction at TRISA3_bit;



 char message1[] = "Testing";
 char message2[] = "LCD";
 char message3[] = "LEDs";
 char message4[] = "Press SW";
 char message5[] = "I/O Test";
 char message6[] = "Complete";

 void delay2s(){
 Delay_ms(2000);
 }

unsigned short i, j, temp;
void main() {

 TRISA = 0b00100000;
 TRISB = 0x00;
 ANSELA = 0x00;
 ANSELB = 0x00;
 LATB = 0x00;

 Lcd_Init();
 Lcd_Cmd(_LCD_CLEAR);
 Lcd_Cmd(_LCD_CURSOR_OFF);
 Lcd_Out(1,1,message1);
 Lcd_Out(2,1,message2);
 delay2s();


 Lcd_Cmd(_LCD_CLEAR);
 Lcd_Out(1,1,message1);
 Lcd_Out(2,1,message3);
 temp = 0x01;
 for (i = 0; i<7; i++) {
 PORTB = temp;
 Delay_ms(200);
 temp = temp << 1;
 }
 for (i = 0; i<8; i++) {
 PORTB = temp;
 Delay_ms(200);
 temp = temp >> 1;
 }


 Lcd_Cmd(_LCD_CLEAR);
 Lcd_Out(1,1,message4);
 TRISB = 0xFF;
 for (i = 0; i< 6; i++){
 while (PORTB > 62)
 Delay_1us();
 temp = PORTB;
 temp = temp^63;
 Delay_ms(300);
 switch (temp) {
 case 1 : j = 1;
 break;
 case 2 : j = 2;
 break;
 case 4 : j = 3;
 break;
 case 8 : j = 4;
 break;
 case 16 : j = 5;
 break;
 case 32 : j = 6;
 break;
 }
 Lcd_Chr(2, 1, j+48);
 }


 Lcd_Cmd(_LCD_CLEAR);
 Lcd_Out(1,1,message5);
 Lcd_Out(2,1,message6);


}
